PDA

View Full Version : Just a couple bugs



NewsArchive
11-22-1996, 01:00 AM
Bug 1:
I am trying to build an installation for an app written in Delphi that
takes full advantage of the BDE and the change it should make to the
'Services' file in the Windows directory. Unfortunately after installing
the program I get an invalid service type error because of some obscure
reason. The needed line appeared to have been added, all-be-it in a
wierd location, but for some reason the system doesn't see it. Does the
computer need to be rebooted to accpet the change. FYI the line added is
gds_db 3050/tcp #Borland Interbase Server

Bug 2:
What is wrong with IBM and InstallShield. I can't for the life of me get
my installation to run on an IBM Aptiva without giving me a '_INS0432
caused an invalid page fault in module <unknown> at 0000:81558188'
error. This occurs after it has gotten done updating the registry,
before it creates the icons in the Programs Menu. Heck I can't even get
Install Shield Express Professional v1.1 to install on an Aptiva.
Apparently I'm not alone as I have seen a couple other posts about this
bug. What I'm wondering is why Install Shield Corp. hasn't acknowledged
the bug and helped us to solve. I can't jsut say 'forget all Aptiva
owners'... my bosses wouldn't like that very much. BTW, the same set of
disks that failed on the Aptiva worked fine on a DELL.

Thanks for any help.

-Rob Epstein
-Atlanta On-Line InterNet

NewsArchive
12-25-1996, 01:00 AM
Rob Epstein wrote:
> [...........]
> Bug 2:
> What is wrong with IBM and InstallShield. I can't for the life of me get
> my installation to run on an IBM Aptiva without giving me a '_INS0432
> caused an invalid page fault in module <unknown> at 0000:81558188'
> error. This occurs after it has gotten done updating the registry,
> before it creates the icons in the Programs Menu. Heck I can't even get
> Install Shield Express Professional v1.1 to install on an Aptiva.
> Apparently I'm not alone as I have seen a couple other posts about this
> bug. What I'm wondering is why Install Shield Corp. hasn't acknowledged
> the bug and helped us to solve. I can't jsut say 'forget all Aptiva
> owners'... my bosses wouldn't like that very much. BTW, the same set of
> disks that failed on the Aptiva worked fine on a DELL.

I've got an Aptiva here at home and also could not successfully complete
the installation of ISX Pro. I manually created an icon for it, and
have used it anyway. I also could not install CorelDraw 7, nor run
several other apps. IBM has so much custom drivers and garbage that
ship with these machines, I wasn't surprised to find that when I
re-formatted the hard drive and set up Win95 from scratch, things seem
much happier (albeit without a few Aptiva widgets). ISX Pro,
CorelDraw7, and other apps have all installed fine.

Now, if I could just get IS to REALLY get rid of the ERROR #3 annoyance,
and fix the license agreement snipping, and....

Todd Hale

NewsArchive
12-25-1996, 01:00 AM
Rob Epstein wrote:
> [...........]
> Bug 2:
> What is wrong with IBM and InstallShield. I can't for the life of me get
> my installation to run on an IBM Aptiva without giving me a '_INS0432
> caused an invalid page fault in module <unknown> at 0000:81558188'
> error. This occurs after it has gotten done updating the registry,
> before it creates the icons in the Programs Menu. Heck I can't even get
> Install Shield Express Professional v1.1 to install on an Aptiva.
> Apparently I'm not alone as I have seen a couple other posts about this
> bug. What I'm wondering is why Install Shield Corp. hasn't acknowledged
> the bug and helped us to solve. I can't jsut say 'forget all Aptiva
> owners'... my bosses wouldn't like that very much. BTW, the same set of
> disks that failed on the Aptiva worked fine on a DELL.

I've got an Aptiva here at home and also could not successfully complete
the installation of ISX Pro. I manually created an icon for it, and
have used it anyway. I also could not install CorelDraw 7, nor run
several other apps. IBM has so much custom drivers and garbage that
ship with these machines, I wasn't surprised to find that when I
re-formatted the hard drive and set up Win95 from scratch, things seem
much happier (albeit without a few Aptiva widgets). ISX Pro,
CorelDraw7, and other apps have all installed fine.

Now, if I could just get IS to REALLY get rid of the ERROR #3 annoyance,
and fix the license agreement snipping, and....

Todd Hale

NewsArchive
08-17-1999, 12:00 AM
I looked at the basic mdac-dcom template.. Correct me if Im wrong but
this looks like it just runs the MS "mdac_typ" .exe?

Better for me is the full ODBC-DOA-RDO template...with the DOA and
RDO stuff switched off. The problem is this is still at MDAC v2 and not
2.1.. hence not jet 4.

Will the ODBC-DOA-RDO template be updated to include jet4 or can this
be done manually?

The reason for this is, Microsoft admitted to a security hole in jet3.5
about
a week ago and have adivsed all users to upgrade to v4.


"THE VULNERABILITY IS CONTAINED in the Jet
3.51 driver (ODBCJT32.DLL) that was shipped with the
popular Office 97 software suite.
Juan Carlos G. Cuartango, a Spanish
Web
developer
who has discovered other important security holes,
reported
the problem to the NTBugTraq mailing list Thursday
afternoon. Later Thursday, the Microsoft Security
Team
confirmed the bug in a posting to the same list."






InstallShield Software Corp. <ericp@installshield.com> wrote in message
news:37b8305f.0@news.installshield.com...
> I can not tell you how to update the ODBC template to install Jet 4.
> But you could use the MDAC/DCOM template for this. MDAC 2.1 installs
> Jet 4. The template is available to IS5.5 users.
> http://support.installshield.com/resource/mdacdcom.asp
>
> Best regards,
>
> Eric
> InstallShield Support
>
>
> Darran Potter wrote in message <37b80673.0@news.installshield.com>...
> >Hi
> >
> >Is it possible to update an existing ODBCv3 template to install JET4?
> >
> >Thanks
> >Darran
> >
> >--
> >
> >
> >
>
>

NewsArchive
08-17-1999, 12:00 AM
You can use the template to install MDAC 2.1. Simply replace the
redistributable mdac_typ.exe in the file group, and update the version
number in the InstallMDAC function call to the version you are installing.
In addition I suggest that you download the mdac version checking code from
InstallSite and use this instead of the code in the template.

--
Stefan Krueger
Independent Setup Consultant

// InstallSite - Resources for Setup Developers
// http://www.installsite.org

My reply-to address is invalid to avoid spam.
If you are looking for individual assistance, like e-mail support,
please mail to info@installsite.org for support options.


Darran Potter <dpotter@cisco.com> schrieb in im Newsbeitrag:
37b92a2b.0@news.installshield.com...
>
> I looked at the basic mdac-dcom template.. Correct me if Im wrong but
> this looks like it just runs the MS "mdac_typ" .exe?
>
> Better for me is the full ODBC-DOA-RDO template...with the DOA and
> RDO stuff switched off. The problem is this is still at MDAC v2 and not
> 2.1.. hence not jet 4.
>
> Will the ODBC-DOA-RDO template be updated to include jet4 or can this
> be done manually?
>
> The reason for this is, Microsoft admitted to a security hole in jet3.5
> about
> a week ago and have adivsed all users to upgrade to v4.
>
>
> "THE VULNERABILITY IS CONTAINED in the Jet
> 3.51 driver (ODBCJT32.DLL) that was shipped with
the
> popular Office 97 software suite.
> Juan Carlos G. Cuartango, a
Spanish
> Web
> developer
> who has discovered other important security
holes,
> reported
> the problem to the NTBugTraq mailing list
Thursday
> afternoon. Later Thursday, the Microsoft Security
> Team
> confirmed the bug in a posting to the same list."
>
>
>
>
>
>
> InstallShield Software Corp. <ericp@installshield.com> wrote in message
> news:37b8305f.0@news.installshield.com...
> > I can not tell you how to update the ODBC template to install Jet 4.
> > But you could use the MDAC/DCOM template for this. MDAC 2.1 installs
> > Jet 4. The template is available to IS5.5 users.
> > http://support.installshield.com/resource/mdacdcom.asp
> >
> > Best regards,
> >
> > Eric
> > InstallShield Support
> >
> >
> > Darran Potter wrote in message <37b80673.0@news.installshield.com>...
> > >Hi
> > >
> > >Is it possible to update an existing ODBCv3 template to install JET4?
> > >
> > >Thanks
> > >Darran
> > >
> > >--
> > >
> > >
> > >
> >
> >
>
>
>
>